<% include head %>
</head>
<body>
	<% include navbar %>
	<div class="container">
		<div class="row">
			<div class="col-sm-8 col-sm-offset-2 text-center">
				<h1 class="single-movie-title">
					<%= movie.title %>
				</h1>
				
				<h3 class="single-movie-title">
					<%= movie.tagline %>
				</h3>
				
				<a href="<%= movie.homepage %>">
					<img src="<%= imageBaseUrl + movie.poster_path %>" />
				</a>
				
				<p class="overview-header">Movie Synopsis: <span class="single-movie-overview">
					<%= movie.overview %>
				</span></p>
			</div>
		</div>
	</div>

<!-- Button trigger modal -->
<div class="col-sm-12 text-center">
	<button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#myModal">
		More Details
	</button>
</div>

<!-- Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Movie Information</h4>
      </div>
      <div class="modal-body">
		<p>
			<a href="https://www.imdb.com/title/<%= movie.imdb_id%>" target="_blank">IMDB</a>
		</p>
		<p>
			<strong>Budget:</strong> 
			<%= new Intl.NumberFormat('en-US', { style: 'currency', currency: 'USD' }).format(movie.budget) %>
		</p>
		<p>
			<strong>Revenue:</strong> <%= new Intl.NumberFormat('en-US', { style: 'currency', currency: 'USD' }).format(movie.revenue) %>
		</p>
		<p>
			<strong>Release Date:</strong> <%= movie.release_date %>
		</p>
		<p>
			<strong>Production Companies:</strong> 
			<ul>
				<% movie.production_companies.forEach( company => { %>
					<li><%= company.name %></li>
				<% }) %>
			</ul>
		</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div>
    </div>
  </div>
</div>

</body>
</html>
